% calculate the diffusion coefficient for mosquitoes from ``data"

data = [0,51; 
  10,47;
  20,40;
  30,31;
 40,26;
 50,13;
 60,8;
 70,4];



rsq=( data(:,1)).^2;
logdat=log(data(:,2));
p=polyfit(rsq,logdat,1)
p(1)
figure(1)
plot(rsq,logdat,'*',rsq,p(2) + p(1)*rsq,'--','linewidth',2)

D = -1/(4*p(1))
